Hi, I havnt been able to run gimp since 2.3.1 (2.3.0 worked well - Apart from the useual development bugs)

It always crashes on startup, even if I dont load data. But works if I load the gimp with no UI. Tried removing all the libgimp libs and my prefs for a fresh install but no good.


GDB Says
Program received signal SIGSEGV, Segmentation fault.
0xb7eecc2b in gimp_param_spec_rgb () from /usr/local/lib/libgimpcolor-2.0.so.0


Heres my output.

____

/gimp-2.3.1 > gimp

(gimp:25314): GLib-GObject-WARNING **: cannot register existing type `GimpConfigInterface'

(gimp:25314): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion `G_TYPE_IS_INTERFACE (interface_type)' failed

(gimp:25314): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `g_type_parent (interface_type) == G_TYPE_INTERFACE' failed

(gimp:25314): GLib-GObject-WARNING **: cannot register existing type `GimpConfigInterface'

(gimp:25314): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion `G_TYPE_IS_INTERFACE (interface_type)' failed

(gimp:25314): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `g_type_parent (interface_type) == G_TYPE_INTERFACE' failed

(gimp:25314): GLib-GObject-WARNING **: cannot register existing type `GimpParamRGB'

(gimp:25314): GLib-GObject-CRITICAL **: g_param_spec_internal: assertion `G_TYPE_IS_PARAM (param_type) && param_type != G_TYPE_PARAM' failed
Segmentation fault

_______________________________________________
Gimp-developer mailing list
Gimp-developer@lists.xcf.berkeley.edu
http://lists.xcf.berkeley.edu/mailman/listinfo/gimp-developer

Reply via email to